//   Read the documentation to learn more about C++ code generator
//   versioning.
//	  %X% %Q% %Z% %W%

// MixBase
#include <XSModel/Model/Component/MixBase.h>
#include <XSstreams.h>
#include <iostream>


// Class MixBase::IncompatibleData 

MixBase::IncompatibleData::IncompatibleData (const string& diag)
  : YellowAlert(" loaded data has incorrect information for mixing model component ")
{
  tcerr << diag << '\n';
}


// Class MixBase::NoDataPresent 

MixBase::NoDataPresent::NoDataPresent (const string& diag)
  : YellowAlert(" no data present: model containing mixing component has been removed ")
{
  if ( diag.length() > 0) tcerr << ": Model" << diag ;
  tcerr << '\n';
}


// Class MixBase::DataOrderingError 

MixBase::DataOrderingError::DataOrderingError (const string& diag)
  : YellowAlert(" observations in group have inconsistent initialization data (check order of data entry)  ")
{
  if ( diag.length() > 0) tcerr << ": " << diag ;
  tcerr << '\n';
}


// Class MixBase 

MixBase::MixBase (const string& name)
  : m_name(name)
{
}


void MixBase::initialize (const std::vector<Real>& params, const std::string& modelName)
{
}

void MixBase::verifyData () const
{
}

void MixBase::initializeForFit (const std::vector<Real>& params, bool paramsAreFrozen)
{
}

void MixBase::refreshTransform ()
{
}

// Additional Declarations
  MixBase::~MixBase() {}
